### Method

# Gtk ComboBoxText insert

deprecated: 4.10

#### Declaration [src]

    void
    gtk_combo_box_text_insert (
      GtkComboBoxText* combo_box,
      int position,
      const char* id,
      const char* text
    )

#### Description [src]

Inserts `text` at `position` in the list of strings stored in `combo_box`.

If `id` is non-`NULL` then it is used as the ID of the row. See `GtkComboBox:id-column`.

If `position` is negative then `text` is appended.

Deprecated since: 4.10

Use `GtkDropDown`.

#### Parameters

`position`

  Type: `int`

  An index to insert `text`.

`id`

  Type: `const char*`

  A string ID for this value.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`text`

  Type: `const char*`

  A string to display.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.